ElementMaterialOrientationCheckBuilder Class

class NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder

Bases: NXOpen.Builder, NXOpen.CAE.ModelCheck.ISelectionBuilder

Represents a NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder used to check the material orientation for shell and solid elements.

Use Builder.Commit() to calculate material orientation and to display an orientation vector for each input element. Use NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilder.DoCheck() to calculate the material orientation for each input element and return the orientation vector result. If an element fails when calculating it’s material orientation, the element will be displayed in red and outputed to listing information window.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateElementMaterialOrientationCheckBuilder()

New in version NX8.5.0.

Properties

Property Description
CheckScopeOption Returns or sets the check scope setting
SelectionList Returns the selected objects to be checked.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DoCheck Calculates material orientation vector for input elements and returns the orientation vector result
GetCheckOrientation Gets option value which indicates whether to check for the specified material orientation type
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetOrientationColor Gets display color of a specified material orientation type
SetCheckOrientation Sets option value which indicates whether to check for the specified material orientation type
SetOrientationColor Sets display color of a specified material orientation type
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

CheckScopeOption

ElementMaterialOrientationCheckBuilder.CheckScopeOption

Returns or sets the check scope setting

-------------------------------------

Getter Method

Signature CheckScopeOption

Returns:
Return type:NXOpen.CAE.ModelCheck.CheckScope

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckScopeOption

Parameters:scope (NXOpen.CAE.ModelCheck.CheckScope) –

New in version NX11.0.1.

License requirements: None.

SelectionList

ElementMaterialOrientationCheckBuilder.SelectionList

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

-------------------------------------

Getter Method

Signature SelectionList

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX8.5.0.

License requirements: None.

Method Detail

DoCheck

ElementMaterialOrientationCheckBuilder.DoCheck

Calculates material orientation vector for input elements and returns the orientation vector result

Signature DoCheck()

Returns:a tuple
Return type:A tuple consisting of (orienation, orientationType, elements). orienation is a list of NXOpen.Vector3d. material orientation vector orientationType is a list of NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilderMaterialOrientationType. elements is a list of NXOpen.CAE.FEElement. the elements associated with the orientation vectors

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetCheckOrientation

ElementMaterialOrientationCheckBuilder.GetCheckOrientation

Gets option value which indicates whether to check for the specified material orientation type

Signature GetCheckOrientation(orientationType)

Parameters:orientationType (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilderMaterialOrientationType) –
Returns:
Return type:bool

New in version NX8.5.0.

License requirements: None.

GetOrientationColor

ElementMaterialOrientationCheckBuilder.GetOrientationColor

Gets display color of a specified material orientation type

Signature GetOrientationColor(orientationType)

Parameters:orientationType (NXOpen.CAE.ModelCheck.ElementMaterialOrientationCheckBuilderMaterialOrientationType) –
Returns:
Return type:Id

New in version NX8.5.0.

License requirements: None.

SetCheckOrientation

ElementMaterialOrientationCheckBuilder.SetCheckOrientation

Sets option value which indicates whether to check for the specified material orientation type

Signature SetCheckOrientation(orientationType, checkOrientation)

Parameters:

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetOrientationColor

ElementMaterialOrientationCheckBuilder.SetOrientationColor

Sets display color of a specified material orientation type

Signature SetOrientationColor(orientationType, color)

Parameters:

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Validate

ElementMaterialOrientationCheckBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.